Package org.apache.commons.jxpath.ri.axes

# Class NodeSetContext

java.lang.Object
org.apache.commons.jxpath.ri.EvalContext
org.apache.commons.jxpath.ri.axes.NodeSetContext

All Implemented Interfaces:
  `Iterator`, `ExpressionContext`

Direct Known Subclasses:
  `UnionContext`

public class NodeSetContext extends EvalContext
A simple context that is based on a `NodeSet`.

- ## Field Summary

  ### Fields inherited from class org.apache.commons.jxpath.ri.EvalContext

  `parentContext, position, rootContext`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NodeSetContext(EvalContext parentContext, NodeSet nodeSet)`
  Constructs a new NodeSetContext.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NodePointer`
  `getCurrentNodePointer()`
  Returns the current context node.
  `NodeSet`
  `getNodeSet()`
  Returns the list of all Pointers in this context for all positions of the parent contexts.
  `boolean`
  `nextNode()`
  Returns true if there is another object in the current set.
  `boolean`
  `nextSet()`
  Returns true if there is another sets of objects to interate over.
  `boolean`
  `setPosition(int position)`
  Moves the current position to the specified index.

  ### Methods inherited from class org.apache.commons.jxpath.ri.EvalContext

  `getContextNodeList, getContextNodePointer, getCurrentPosition, getDocumentOrder, getJXPathContext, getPosition, getRootContext, getSingleNodePointer, getValue, hasNext, isChildOrderingRequired, next, remove, reset, sortPointers, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining`

- ## Constructor Details

  - ### NodeSetContext

    public NodeSetContext(EvalContext parentContext, NodeSet nodeSet)
    Constructs a new NodeSetContext.
    Parameters:
      `parentContext` - parent context
      `nodeSet` - associated NodeSet

- ## Method Details

  - ### getCurrentNodePointer

    public NodePointer getCurrentNodePointer()
    Description copied from class: `EvalContext`
    Returns the current context node. Undefined before the beginning of the iteration.
    Specified by:
      `getCurrentNodePointer` in class `EvalContext`
    Returns:
      NodePoiner

  - ### getNodeSet

    public NodeSet getNodeSet()
    Description copied from class: `EvalContext`
    Returns the list of all Pointers in this context for all positions of the parent contexts. If there was an ongoing iteration over this context, the method should not be called.
    Overrides:
      `getNodeSet` in class `EvalContext`
    Returns:
      NodeSet

  - ### nextNode

    public boolean nextNode()
    Description copied from class: `EvalContext`
    Returns true if there is another object in the current set. Switches the current position and node to the next object.
    Specified by:
      `nextNode` in class `EvalContext`
    Returns:
      boolean

  - ### nextSet

    public boolean nextSet()
    Description copied from class: `EvalContext`
    Returns true if there is another sets of objects to interate over. Resets the current position and node.
    Overrides:
      `nextSet` in class `EvalContext`
    Returns:
      boolean

  - ### setPosition

    public boolean setPosition(int position)
    Description copied from class: `EvalContext`
    Moves the current position to the specified index. Used with integer predicates to quickly get to the n'th element of the node set. Returns false if the position is out of the node set range. You can call it with 0 as the position argument to restart the iteration.
    Overrides:
      `setPosition` in class `EvalContext`
    Parameters:
      `position` - to set
    Returns:
      boolean